from scrapy.commands import ScrapyCommand

from data_collector.models import Event, initialize_db


class Command(ScrapyCommand):
    requires_project = True
    default_settings = {"LOG_ENABLED": False}

    def short_desc(self) -> str:
        return "Publish events to Gancio"

    def run(self, args, opts):
        db = initialize_db()

        unpublished_events = Event.select().where(Event.published == False)
        for event in unpublished_events:
            event.publish()

        db.close()
